openmemory
Docs
Journal

Write the journal entry for a date

PUT
/v1/journal/{date}

One entry per date and kind. merge=true appends to an existing entry instead of replacing it.

Authorization

headerAuthorizationBearer <token>

Your space key (om_...). Create one with POST /v1/spaces.

Path Parameters

date*string
Match^\d{4}-\d{2}-\d{2}$

Request Body

application/json
  1. body
summary?string
Lengthlength <= 4000
Default""
decisions?array<>
Itemsitems <= 50
Default[]
open_loops?array<>
Itemsitems <= 50
Default[]
source_refs?array<>
Itemsitems <= 50
Default[]
kind?string
Default"day"
Value in"day""week"
merge?boolean

Append to an existing entry instead of replacing it.

Defaultfalse

Response Body

Saved

application/json
  1. response
kind*string
Value in"day""week"
date*string
summary*string
decisions*array<string>
open_loops*array<string>
source_refs*array<string>
origin*Origin
Value in"user""agent""dream"
updated_at*string
Example Request
curl -X PUT 'https://api.openmemory.sh/v1/journal/string' \  -H 'Content-Type: application/json' \  -d '{}'
Example Response
{  "kind": "day",  "date": "string",  "summary": "string",  "decisions": [    "string"  ],  "open_loops": [    "string"  ],  "source_refs": [    "string"  ],  "origin": "user",  "updated_at": "string"}